=== debian/changelog ===
cppcheck (1.58-1) unstable; urgency=low

  * New upstream release
  * copyright: update and add some new authors
  * Fix c++11 handling, Closes: #688759

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sat, 19 Jan 2013 21:08:42 +0200
