## cppcheck 1.59

=== debian/changelog ===
cppcheck (1.59-1) unstable; urgency=low

  * New upstream release
  * control: Change libtinyxml-dev to libtinyxml2-dev
  * rules: Change -ltinyxml to -ltinyxml2

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Mon, 01 Apr 2013 10:16:31 +0300
