=== debian/changelog ===
cppcheck (1.60.1-1) unstable; urgency=low

  * New upstream release
  * control: Standards-Version: 3.9.3 -> 3.9.4

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Tue, 04 Jun 2013 19:37:14 +0300
