=== debian/changelog ===
cppcheck (1.61-1) unstable; urgency=low

  * New upstream release
  * rules: add INCLUDE_FOR_LIB to makeit work with new upstream makefile
  * Fix false positive, address of uninitialized variable, Closes: #706494

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 04 Aug 2013 08:39:00 +0300
