=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Reijo Tomperi <aggro80@users.sourceforge.net>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7~), xsltproc, docbook-xsl, docbook-xml, libpcre3-dev, libtinyxml2-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://cppcheck.wiki.sourceforge.net/
 
 Package: cppcheck
