=== debian/watch ===
version=3
http://sf.net/cppcheck/cppcheck-(.+)\.tar\.gz
